PUT /akoamkocluster/{uuid}
/akoamkocluster/{uuid}/{uuid}
UUID of the object to fetch
object name
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
AkoAmkoCluster object creation
Show optional properties
{
"created_by": "string",
"name": "string"
}
{
"_last_modified": "string",
"cloud_config_cksum": "string",
"cloud_ref": "string",
"cluster_type": "string",
"created_by": "string",
"deployment_info": {
"namespace": "string",
"pod_name": "string",
"replica_count": 0
},
"metadata": {
"cni": "string",
"node_count": 0
},
"name": "string",
"tenant_ref": "string",
"url": "string",
"uuid": "string",
"version_info": {
"ako_amko_version": "string",
"kubernetes_version": "string"
}
}
OK
{
"_last_modified": "string",
"cloud_config_cksum": "string",
"cloud_ref": "string",
"cluster_type": "string",
"created_by": "string",
"deployment_info": {
"namespace": "string",
"pod_name": "string",
"replica_count": 0
},
"metadata": {
"cni": "string",
"node_count": 0
},
"name": "string",
"tenant_ref": "string",
"url": "string",
"uuid": "string",
"version_info": {
"ako_amko_version": "string",
"kubernetes_version": "string"
}
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Checksum of the cloud configuration for AkoAmkoCluster object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cloud reference UUID in Avi Controller. It is a reference to an object of type Cloud. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Type of operator - AKO or AMKO. Enum options - CLUSTER_TYPE_AKO, CLUSTER_TYPE_AMKO. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
AKO/AMKO user identifier. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
deployment_info
metadata
Name of the AKO/AMKO cluster. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Tenant that AKO/AMKO cluster belongs to. It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
url
UUID of the AKO/AMKO cluster. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
version_info
log in failed
object not found
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"created_by":"string","name":"string"}' https://{api_host}/api/akoamkocluster/{uuid}